## org.apache.poi.hpsf
Class DocumentSummaryInformation

    java.lang.Object
      org.apache.poi.hpsf.PropertySet
          org.apache.poi.hpsf.SpecialPropertySet
              org.apache.poi.hpsf.DocumentSummaryInformation

public class DocumentSummaryInformation
extends SpecialPropertySet

Convenience class representing a DocumentSummary Information stream in a Microsoft Office document.

Since:
  2002-02-09
Version:
  $Id: DocumentSummaryInformation.java,v 1.9.4.1 2004/02/22 11:54:45 glens Exp $
Author:
  Rainer Klute (klute@rainer-klute.de), Drew Varner (Drew.Varner closeTo sc.edu)
See Also:
  `SummaryInformation`

Field Summary
`static java.lang.String` `DEFAULT_STREAM_NAME` The document name a document summary information stream usually has in a POIFS filesystem.

Fields inherited from class org.apache.poi.hpsf.PropertySet
`byteOrder, classID, format, OS_MACINTOSH, OS_WIN16, OS_WIN32, osVersion, sectionCount, sections`

Constructor Summary
`DocumentSummaryInformation(PropertySet ps)` Creates a `DocumentSummaryInformation` from a given `PropertySet`.

Method Summary
`int` `getByteCount()` Returns the stream's byte count or 0 if the `DocumentSummaryInformation` does not contain a byte count.
`java.lang.String` `getCategory()` Returns the stream's category (or `null`).
`java.lang.String` `getCompany()` Returns the stream's company (or `null`).
`byte[]` `getDocparts()` Returns the stream's doc parts (or `null`) when this method is implemented.
`byte[]` `getHeadingPair()` Returns the stream's heading pair (or `null`) when this method is implemented.
`int` `getHiddenCount()` Returns the stream's hidden count or 0 if the `DocumentSummaryInformation` does not contain a hidden count.
`int` `getLineCount()` Returns the stream's line count or 0 if the `DocumentSummaryInformation` does not contain a line count.
`boolean` `getLinksDirty()` Returns `true` if the custom links are hampered by excessive noise, for all applications.
`java.lang.String` `getManager()` Returns the stream's manager (or `null`).
`int` `getMMClipCount()` Returns the stream's mmclip count or 0 if the `DocumentSummaryInformation` does not contain a mmclip count.
`int` `getNoteCount()` Returns the stream's note count or 0 if the `DocumentSummaryInformation` does not contain a note count.
`int` `getParCount()` Returns the stream's par count or 0 if the `DocumentSummaryInformation` does not contain a par count.
`java.lang.String` `getPresentationFormat()` Returns the stream's presentation format (or `null`).
`boolean` `getScale()` Returns `true` when scaling of the thumbnail is desired, `false` if cropping is desired.
`int` `getSlideCount()` Returns the stream's slide count or 0 if the `DocumentSummaryInformation` does not contain a slide count.

Methods inherited from class org.apache.poi.hpsf.SpecialPropertySet
`getByteOrder, getClassID, getFormat, getOSVersion, getSectionCount, getSections, getSingleSection, isDocumentSummaryInformation, isSummaryInformation`

Methods inherited from class org.apache.poi.hpsf.PropertySet
`getProperties, getProperty, getPropertyBooleanValue, getPropertyIntValue, isPropertySetStream, isPropertySetStream, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STREAM_NAME

    public static final java.lang.String DEFAULT_STREAM_NAME

  The document name a document summary information stream usually has in a POIFS filesystem.

  See Also:
    Constant Field Values

Constructor Detail

### DocumentSummaryInformation

    public DocumentSummaryInformation(PropertySet ps)
                               throws UnexpectedPropertySetTypeException

  Creates a `DocumentSummaryInformation` from a given `PropertySet`.

Parameters:
  `ps` - A property set which should be created from a document summary information stream.
Throws:
  `UnexpectedPropertySetTypeException` - if ps does not contain a document summary information stream.

Method Detail

### getCategory

    public java.lang.String getCategory()

  Returns the stream's category (or `null`).

  Returns:
    The category value

### getPresentationFormat

    public java.lang.String getPresentationFormat()

  Returns the stream's presentation format (or `null`).

  Returns:
    The presentationFormat value

### getByteCount

    public int getByteCount()

  Returns the stream's byte count or 0 if the `DocumentSummaryInformation` does not contain a byte count.

  Returns:
    The byteCount value

### getLineCount

    public int getLineCount()

  Returns the stream's line count or 0 if the `DocumentSummaryInformation` does not contain a line count.

  Returns:
    The lineCount value

### getParCount

    public int getParCount()

  Returns the stream's par count or 0 if the `DocumentSummaryInformation` does not contain a par count.

  Returns:
    The parCount value

### getSlideCount

    public int getSlideCount()

  Returns the stream's slide count or 0 if the `DocumentSummaryInformation` does not contain a slide count.

  Returns:
    The slideCount value

### getNoteCount

    public int getNoteCount()

  Returns the stream's note count or 0 if the `DocumentSummaryInformation` does not contain a note count.

  Returns:
    The noteCount value

### getHiddenCount

    public int getHiddenCount()

  Returns the stream's hidden count or 0 if the `DocumentSummaryInformation` does not contain a hidden count.

  Returns:
    The hiddenCount value

### getMMClipCount

    public int getMMClipCount()

  Returns the stream's mmclip count or 0 if the `DocumentSummaryInformation` does not contain a mmclip count.

  Returns:
    The mMClipCount value

### getScale

    public boolean getScale()

  Returns `true` when scaling of the thumbnail is desired, `false` if cropping is desired.

  Returns:
    The scale value

### getHeadingPair

    public byte[] getHeadingPair()

  Returns the stream's heading pair (or `null`) when this method is implemented. Please note that the return type is likely to change!

  Returns:
    The headingPair value

### getDocparts

    public byte[] getDocparts()

  Returns the stream's doc parts (or `null`) when this method is implemented. Please note that the return type is likely to change!

  Returns:
    The docparts value

### getManager

    public java.lang.String getManager()

  Returns the stream's manager (or `null`).

  Returns:
    The manager value

### getCompany

    public java.lang.String getCompany()

  Returns the stream's company (or `null`).

  Returns:
    The company value

### getLinksDirty

    public boolean getLinksDirty()

  Returns `true` if the custom links are hampered by excessive noise, for all applications.

  FIXME: Explain this some more! I (Rainer) don't understand it.

  Returns:
    The linksDirty value

Copyright © 2003 Apache Software Foundation.